Enable GStreamer mpeg2dec plugin with its dependency in Fedora now that it is permissible. Note that this conflicts with gstreamer1-plugins-ugly from elsewhere, where they have been notified of the need to adapt.

How to install

sudo dnf upgrade --advisory=FEDORA-2019-cbd0839ab0

This update has been submitted for testing by yselkowitz.

3 years ago

This update has been pushed to testing.

3 years ago
User Icon besser82 commented & provided feedback 3 years ago
karma

Works great! LGTM! =)

User Icon lnie commented & provided feedback 3 years ago
karma

works as expected

yselkowitz edited this update.

New build(s):

  • gstreamer1-plugins-ugly-free-1.14.4-2.fc29

Karma has been reset.

3 years ago

This update has been submitted for testing by yselkowitz.

3 years ago

This update has been pushed to testing.

3 years ago
User Icon davidva commented & provided feedback 3 years ago
karma

Works fine, lgtm :)

BZ#1707976 Review Request: libmpeg2 - MPEG-2 decoder
BZ#1709470 Enable mpeg2dec plugin in ugly-free
User Icon pwalter commented & provided feedback 3 years ago
karma

Works

User Icon besser82 commented & provided feedback 3 years ago
karma
=========================================================================================================
 Package                              Architecture   Version               Repository               Size
=========================================================================================================
Upgrading:
 gstreamer1-plugins-ugly-free         x86_64         1.14.4-2.fc29         updates-testing          93 k

Transaction Summary
=========================================================================================================
Upgrade  1 Package

Total download size: 93 k
Is this ok [y/N]: y
Downloading Packages:
gstreamer1-plugins-ugly-free-1.14.4-2.fc29.x86_64.rpm                    1.1 MB/s |  93 kB     00:00    
---------------------------------------------------------------------------------------------------------
Total                                                                    127 kB/s |  93 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib64/gstreamer-1.0/libgstmpeg2dec.so from install of gstreamer1-plugins-ugly-free-1.14.4-2.fc29.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1.14.4-2.fc29.x86_64
User Icon yselkowitz commented & provided feedback 3 years ago

@besser82 this was already noted in the description of this update. The conflict has to be fixed on the other end, and they have already been notified.

User Icon rdieter commented & provided feedback 3 years ago
karma

I added an explicit Conflicts: tag to new gstreamer1-plugins-ugly-free-1.14.4-2.fc29 build, if you want to pull that in here.

Otherwise, good +1

BZ#1707976 Review Request: libmpeg2 - MPEG-2 decoder
BZ#1709470 Enable mpeg2dec plugin in ugly-free
User Icon leigh123linux commented & provided feedback 3 years ago
karma

WFM

BZ#1707976 Review Request: libmpeg2 - MPEG-2 decoder
BZ#1709470 Enable mpeg2dec plugin in ugly-free

This update has reached the stable karma threshold and can be pushed to stable now if the maintainer wishes.

3 years ago

This update has been submitted for batched by leigh123linux.

3 years ago

This update has been submitted for stable by leigh123linux.

3 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
enhancement
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
2 years ago
modified
3 years ago
BZ#1707976 Review Request: libmpeg2 - MPEG-2 decoder
0
2
BZ#1709470 Enable mpeg2dec plugin in ugly-free
0
2

Automated Test Results